> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a conference participant

> Deletes a conference participant



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/conference-participants.yml delete /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label}
openapi: 3.1.0
info:
  title: Telnyx TeXML Conference Participants API
  version: 2.0.0
  description: API for managing TeXML Conferences and Participants.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label}:
    delete:
      tags:
        - TeXML REST Commands
      summary: Delete a conference participant
      description: Deletes a conference participant
      operationId: DeleteTexmlConferenceParticipant
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
        - $ref: '#/components/parameters/CallSidOrParticipantLabel'
      responses:
        '204':
          description: The resource was deleted successfully.
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            await
            client.texml.accounts.conferences.participants.delete('call_sid_or_participant_label',
            {
              account_sid: 'account_sid',
              conference_sid: 'conference_sid',
            });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.texml.accounts.conferences.participants.delete(
                call_sid_or_participant_label="call_sid_or_participant_label",
                account_sid="account_sid",
                conference_sid="conference_sid",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.Texml.Accounts.Conferences.Participants.Delete(\n\t\tcontext.TODO(),\n\t\t\"call_sid_or_participant_label\",\n\t\ttelnyx.TexmlAccountConferenceParticipantDeleteParams{\n\t\t\tAccountSid:    \"account_sid\",\n\t\t\tConferenceSid: \"conference_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantDeleteParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ParticipantDeleteParams params = ParticipantDeleteParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .callSidOrParticipantLabel("call_sid_or_participant_label")
                        .build();
                    client.texml().accounts().conferences().participants().delete(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.texml.accounts.conferences.participants.delete(
              "call_sid_or_participant_label",
              account_sid: "account_sid",
              conference_sid: "conference_sid"
            )

            puts(result)
        - lang: CLI
          source: |-
            telnyx texml:accounts:conferences:participants delete \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid \
              --call-sid-or-participant-label call_sid_or_participant_label
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
    CallSidOrParticipantLabel:
      name: call_sid_or_participant_label
      in: path
      required: true
      description: CallSid or Label of the Participant to update.
      schema:
        type: string
  responses:
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````